Name:		aircrack-ng
Version:	1.1
Release:	%mkrel 5
Summary:	Reliable 802.11 (wireless) sniffer and WEP key cracker
License:	GPLv2+
Group:		Networking/Other
URL:		http://www.aircrack-ng.org/doku.php
Source0:	http://download.aircrack-ng.org/%{name}-%{version}.tar.gz
Patch0:		aircrack-ng-1.1-makefile-fixes.patch
Patch1:		aircrack-ng-1.1-airodump-oui-destdir.patch
Patch2:     aircrack-ng-1.1-ignore-channel-1-error.patch
BuildRequires:	openssl-devel
BuildRequires:	zlib-devel
BuildRequires:	sqlite3-devel

%description
aircrack-ng is a set of tools for auditing wireless networks. It's an 
enhanced/reborn version of aircrack. It consists of airodump (an 802.11 
packet capture program), aireplay (an 802.11 packet injection program), 
aircrack (static WEP and WPA-PSK cracking), airdecap (decrypts WEP/WPA 
capture files), and some tools to handle capture files (merge, convert, 
etc.).

%prep
%setup -q
%patch0 -p1 -b .make_makeup~
%patch1 -p1 -b .oui_destdir~
%patch2 -p1

%build
export CFLAGS="%{optflags} -O3"
export LDFLAGS="%{ldflags}"
# unstable=true needed for wesside-ng, easside-ng, buddy-ng and tkiptun-ng
# (also needed in make install)
%make -j4 datadir=%{_datadir} unstable=true sqlite=true

%install
%{__rm} -rf %{buildroot}
%makeinstall unstable=true sqlite=true

mkdir -p %{buildroot}%{_datadir}/%{name}
# License unclear, originates from:
# http://standards.ieee.org/regauth/oui/oui.txt
touch %{buildroot}%{_datadir}/%{name}/airodump-ng-oui.txt

%post 
%{_sbindir}/airodump-ng-oui-update

%files
%doc ChangeLog README AUTHORS VERSION 
%{_bindir}/*
%{_sbindir}/*
%{_mandir}/man1/*.1*
%dir %{_datadir}/aircrack-ng
%ghost %{_datadir}/aircrack-ng/airodump-ng-oui.txt


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1.1-5.mga3
+ Revision: 345354
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 30 2011 guillomovitch <guillomovitch> 1.1-4.mga2
+ Revision: 189056
- use upstream patch to ignore negative channel issue (#742)

* Wed Dec 28 2011 doktor5000 <doktor5000> 1.1-3.mga2
+ Revision: 188376
- removed obsolete %%clean and empty %%defattr
- added comments for unstable=true and license of airodump-ng-oui.txt

* Thu Jun 16 2011 wally <wally> 1.1-2.mga2
+ Revision: 108293
- sync patches with Mdv
- install wesside-ng and some other unstable utils too (mdv#61298)
- run airodump-ng-oui-update in %%post

  + ennael <ennael>
    - clean spec file

  + kharec <kharec>
    - imported package aircrack-ng

